%define gtk2_version 2.6.0
%define libglade2_version 2.0.0
%define gconf2_version 2.14.0
%define libgnomeui_version 2.5.2
%define gnome_panel_version 2.5.1

Summary: Network status applet
Name: gnome-netstatus
Version: 2.12.0
Release: 5%{?dist}
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/2.11/%{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Prereq: gtk2 >= %{gtk2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}
Requires(pre): GConf2 >= %{gconf2_version}
Requires(preun): GConf2 >= %{gconf2_version}
Requires(post): GConf2 >= %{gconf2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-panel >= %{gnome_panel_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel_version}
BuildRequires: gnome-vfs2
BuildRequires: gnome-doc-utils
BuildRequires: gettext
BuildRequires: perl-XML-Parser

%description
gnome-netstatus is an applet which provides information about a
network interface on your panel.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{name}

# re-do the symlinks
for doc_lang in de es fr it ja ko sv zh_CN zh_HK zh_TW; do
  if [ -d $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures ]; then
    cd $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures
    for icon in *.png; do
      rm -f ${icon}
      ln -sf %{_datadir}/icons/hicolor/48x48/apps/${icon} ${icon}
    done
  fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_datadir}/gnome/help/gnome-netstatus
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/gnome-netstatus
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/omf/gnome-netstatus
%{_datadir}/pixmaps/*.png
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.0-6
- Fix scripts according to packaging guidelines

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-5.1
- rebuild

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.0-5
- Fix BuildRequires

* Tue Jun  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.12.0-4
- Rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Oct 26 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-3
- system-control-network works again

* Mon Oct 24 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-2
- Use system-config-network instead of the nonworking
  system-control-network

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0
- handle figures being absent

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.90-2
- rebuild for new cairo

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 2.11.90-1
- Update to upstream version 2.11.90

* Fri Jul 15 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.1-1
- Newer upstream version

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 2.10.0-4
- silence %%post

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 2.10.0-2
- Update the GTK+ theme icon cache on (un)install

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.4-2
- Rebuild with gcc4

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> 2.9.4-1
- Update to 2.9.4

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-3
- BuildRequires gnome-panel-devel instead of just gnome-panel (#135061)

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Add patch to handle the wireless-applet OAFIID for
  compatibility. See bug #131652

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0.1-1
- Update to 2.6.0.1
- Re-do the symlinks for translated docs

* Mon Mar  8 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91
- Update icons location
- Create help figures symlinks correctly

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 27 2004 Mark McLoughlin <markmc@redhat.com> 0.16-1
- Initial build.
